import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ButtonController {
	private DrawingFrame bT;

	public ButtonController(DrawingFrame jF) {
		LocalButtonHandler lbh = new LocalButtonHandler();

		Button b1 = new Button("line");
		b1.addActionListener(lbh);
		jF.getButtonPanel().add(b1);

		Button b2 = new Button("circle");
		b2.addActionListener(lbh);
		jF.getButtonPanel().add(b2);

		Button b3 = new Button("rect");
		b3.addActionListener(lbh);
		jF.getButtonPanel().add(b3);

		Button b4 = new Button("clear All");
		b4.addActionListener(lbh);
		jF.getButtonPanel().add(b4);

		bT = jF;
	}

	private class LocalButtonHandler implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent ae) {
			switch (ae.getActionCommand()) {
				case "line":
					bT.setCurrShape(Shape.LINE);
					break;
				case "circle":
					bT.setCurrShape(Shape.CIRCLE);
					break;
				case "rect":
					bT.setCurrShape(Shape.RECT);
					break;
				case "clear All":
					bT.removeAll();
					break;
			}
		}
	}
}