import java.awt.*;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

public class CanvasMouseController implements MouseMotionListener, MouseListener {
	private DrawingFrame bT;
	private Point p1, p2;

	public CanvasMouseController(DrawingFrame jF) {
		jF.getShapeContainer().addMouseListener(this);
		jF.getShapeContainer().addMouseMotionListener(this);
		bT = jF;
	}

	public void mouseDragged(MouseEvent arg0) {
		p2 = arg0.getPoint();
		bT.removeFrontShape();
		bT.addShape(p1, p2);
	}

	public void mouseMoved(MouseEvent arg0) {
		// Not used
	}

	public void mouseClicked(MouseEvent arg0) {
		// Not used
	}

	public void mousePressed(MouseEvent arg0) {
		p1 = arg0.getPoint();
		bT.addShape(p1, p1);
	}

	public void mouseReleased(MouseEvent arg0) {
		// Not used
	}

	public void mouseEntered(MouseEvent arg0) {
		// Not used
	}

	public void mouseExited(MouseEvent arg0) {
		// Not used
	}
}
