import java.awt.*;

public class Rectangular extends Shape {
	public Rectangular(Point a1, Point a2) {
		super(a1, a2);
	}

	@Override
	public Object clone() {
		return new Rectangular(p1, p2);
	}

	@Override
	public void paint(Graphics g) {
		g.setColor(color);

		int startX = p1.x < p2.x ? p1.x : p2.x;
		int startY = p1.y < p2.y ? p1.y : p2.y;
		int width = p2.x - p1.x > 0 ? p2.x - p1.x : p1.x - p2.x;
		int height = p2.y - p1.y > 0 ? p2.y - p1.y : p1.y - p2.y;

		if (fill) {
			g.fillRect(startX, startY, width, height);
		}
		else {
			g.drawRect(startX, startY, width, height);
		}
	}
}