import java.awt.*;

public class ShapeContainer extends Container implements java.io.Serializable {

	public ShapeContainer() {
		super();
		setBackground(Color.white);
	}

	@Override
	public void paint(Graphics g) {
		g.setColor(getBackground());
		g.fillRect(0, 0, getWidth(), getHeight());
		g.setColor(Color.black);
		super.paint(g);

		for (Component c : getComponents()) {
			c.paint(g);
		}
	}

	@Override
	public Dimension getPreferredSize() {
		return new Dimension(300, 300);
	}
}